Update settlement type

Flips a STAGED Statement’s settlement_type between STRIPE_CONNECT and OFF_CHRT and cascades the new value onto every attached LineItemGroup. Rejects if the new value matches the current value. | authz: allowed_org_types=[provider], min_org_role=operator, authz_personas=[statement_owner_operators] | (StatementUpdateSettlementTypeReq) -> (Statement1)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

statement_idstringRequired

Request

This endpoint expects an object.
settlement_typeenumRequired
Allowed values:

Response

Successful Response
schema_versioninteger
_idstring
settlement_typeenum
Allowed values:
owned_by_org_idstring

Must be a string starting with org_

line_item_group_idslist of strings
billing_ledger_period_idslist of strings
order_idslist of strings
order_short_idslist of strings
order_off_chrt_reference_idslist of strings
amountinteger or null
unitsenum
Allowed values:
staged_by_user_idstring or null

Must be a string starting with user_

payment_origin_org_idstring or null

Must be a string starting with org_

payment_origin_off_chrt_shipper_org_idstring or null
payment_destination_org_idstring or null

Must be a string starting with org_

payment_destination_off_chrt_provider_org_idstring or null
payment_destination_driver_idstring or null
statusenum
Allowed values:
stripe_invoice_idstring or null
stripe_invoice_urlstring or null
stripe_invoice_created_by_user_idstring or null

Must be a string starting with user_

stripe_invoice_statusenum or null
staged_at_timestampdatetime or null
opened_at_timestampdatetime or null
paid_at_timestampdatetime or null
uncollectible_at_timestampdatetime or null
marked_open_by_user_idstring or null

Must be a string starting with user_

marked_paid_by_user_idstring or null

Must be a string starting with user_

marked_uncollectible_by_user_idstring or null

Must be a string starting with user_

Errors

422
Statements Update Settlement Type V1request Unprocessable Entity Error